---
languages:
  - en
  - cs
---

# S3 Service

S3 service is a general service suited for most of the use cases. S3 service can be used for elementary data storing, automated backups, or various types of data handling applications.

S3 service utilizes similar name convention as AWS S3. The convention is “bucket.domain.cz”. The tenant is the unique identificator and domain is s3.clX.du.cesnet.cz. If you will not explicitly mention the tenant it should be recognized automatically. The recognition is being performed based on the access key and secret key. So it should be sufficient to use the format as follows: s3.clX.du.cesnet.cz/bucket

In case your client considers the endpoint as native AWS you have to switch to S3 compatible endpoint. Most of the clients can automatically process both formattings. However, in some cases is necessary to specify the format explicitly.

**To connect to S3 service, you have to contact Data Storage support at: du-support@cesnet.cz**

Once you obtain your credentials you can continue to connection itself using one of the following S3 client.

## S3 service clients
In the following section you can find recommended S3 clients.

### AWS-CLI (Linux, Windows)
[AWS CLI](https://aws.amazon.com/cli/) - Amazon Web Services Command Line Interface - is standardized too; supporting S3 interface. Using this tool you can handle your data and set up your S3 data storage. You can used the command line control or you can incorporate AWS CLI into your automated scripts. [Tutorial for AWS CLI](./object-storage/aws-cli.md).




